module ResqueWeb
  class WorkersController < ApplicationController
    before_filter :display_subtabs

    def index
    end

    def show
      if params[:id] && params[:id] != 'all'
        @workers = view_context.worker_hosts[params[:id]].map { |id| Resque::Worker.find(id) }
      else
        @workers = Resque.workers
      end
    end

    # def destroy
    #   Resque::Failure.remove(params[:id])
    #   redirect_to failures_path(redirect_params)
    # end

    def destroy
      Resque::Worker.find(params[:id]).unregister_worker
      format.html { redirect_to workers_path, notice: 'Worker successully killed.' }
    end


    private

    def display_subtabs
      set_subtabs view_context.worker_hosts.map(&:first)
    end

  end
end
